%define aurox_ver 9.4
%define rel 2


%define		tar_version	0.3.8
Summary:	An Gadu-Gadu client for online messaging
Summary(pl):	Klient Gadu-Gadu do przesyania wiadomoci po sieci
Name:		kadu
Version:	0.3.8
Vendor:		Kadu Team
Release: %{aurox_ver}.aur.%{rel}
License:	GPL
Group:		Applications/Internet
Source:		%{name}-%{tar_version}.tar.bz2
Source1:        kadu.desktop
URL:		http://%{name}.net/
BuildRequires:	libtool
BuildRequires:	qt-devel >= 3.0.5
Requires:	qt >= 3.0.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Packager:	Roman Krzystyniak <Ron_K@tlen.pl>, Jaroslaw Gorny <jgorny@aurox.org>
%define		_qtdir		/usr/lib/qt-3.3
%define		_prefix		/usr
%define		_themsdir	/usr/share/%{name}/themes
%define		_menudir	/usr/share/applications
%define		_iconsdir	/usr/share/icons/hicolor/32x32/apps
%define		_miconsdir	/usr/share/icons/hicolor/16x16/apps
%define		_liconsdir	/usr/share/icons/hicolor/48x48/apps
%define		_rpmbuilddir	/usr/src/redhat/BUILD
%define		_modulesdir	/usr/share/%{name}/modules
%define		_includedir	/usr/include
%define		_translationsdir	/usr/share/%{name}/translations
%define		_infofilesdir	/usr/share/%{name}


%define opt_ssl         1
%define opt_pthread     1
%define opt_libgadu     1
%define opt_voice       1



%description
Kadu is client of Gadu-Gadu protocol. It's an IM for Linux and UN*X.

%description -l pl
Kadu jest klientem protkou Gadu-Gadu, napisannym w oparciu o bibliotek QT.
Inaczej mwic, jest komunikatorem dla Linuksa (oraz, przy niewielkim
wysiku, innych systemw UN*Xowych). Obsuguje protok GG6.0, rozmowy
gosowe, przesyanie plikw P2P, animowane emotikony, zestawy dwiekowe, moduy.

%package devel
Summary: Development headers for Kadu.
Group: Development/Libraries
Requires: %{name} = %{version}
%description devel
Develpoments headers for Kadu.
%description -l pl
Biblioteki nagwkowe dla Kadu.

%prep
%setup -q -n %{name}

%build
export QTDIR=%{_qtdir}
cat << EOF > .config
module_encryption=m
module_speech=m
module_sound=m
module_ext_sound=m
module_dsp_sound=m
module_arts_sound=m
module_esd_sound=m
module_nas_sound=n
module_echo=m
module_autoresponder=m
module_sms=m
module_default_sms=m
module_autoaway=m
EOF
./configure --prefix=/usr --enable-dist-info=Aurox-%{aurox_ver}
make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot
#install -d %buildroot%{_miconsdir}
#install -d %buildroot%{_iconsdir}
#install -d %buildroot%{_liconsdir}
#install -m644 %buildroot/usr/share/pixmaps/%{name}-16.png %buildroot%{_miconsdir}/%{name}.png
#install -m644 %buildroot/usr/share/pixmaps/%{name}.png %buildroot%{_iconsdir}/%{name}.png
#install -m644 %buildroot/usr/share/pixmaps/%{name}-48.png %buildroot%{_liconsdir}/%{name}.png
install -m 755 -d %buildroot%{_menudir}

(cd %buildroot/%_datadir;
rm -fr ./applnk/Internet/kadu.desktop
install -m 644 %{SOURCE1} ./applications/aurox-kadu.desktop
) 

rm -rf %buildroot/usr/share/applnk
#rm -rf %buildroot/usr/share/pixmaps
rm -f %buildroot/usr/include/*.h
rm -rf %buildroot/usr/lib

# Build the file-list automagically :)
#cd %buildroot
#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > #$RPM_BUILD_DIR/file.list.%{name}
#find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' | sed 's/%{name}.1$/%{name}.1.gz/' >> #$RPM_BUILD_DIR/file.list.%{name}
#find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
#rm -rf %buildroot
#rm -rf $RPM_BUILD_DIR/%{name}


%files -f %{name}
%defattr(-,root,root)
%doc AUTHORS README ChangeLog COPYING HISTORY THANKS
%{_bindir}/*
%{_themsdir}/*
%{_menudir}/*
%{_translationsdir}/*
%attr(755,root,root) %{_bindir}/kadu
%attr(755,root,root) %{_bindir}/kadu-mozilla
%{_datadir}/%{name}
%{_datadir}/applications/aurox-kadu.desktop
%{_modulesdir}/autoaway.*
%{_modulesdir}/translations/autoaway*
%{_modulesdir}/autoresponder.*
%{_modulesdir}/translations/autoresponder*
%{_modulesdir}/encryption.*
%{_modulesdir}/translations/encryption*
%{_modulesdir}/speech.*
%{_modulesdir}/translations/speech*
%{_modulesdir}/echo.*
%{_modulesdir}/translations/echo*
%{_modulesdir}/sound.*
%{_modulesdir}/translations/sound*
%{_modulesdir}/ext_sound.*
%{_modulesdir}/translations/ext_sound*
%{_modulesdir}/arts_sound.*
%{_modulesdir}/dsp_sound.*
%{_modulesdir}/translations/dsp_sound*
%{_modulesdir}/esd_sound.*
%{_modulesdir}/sms.*
%{_modulesdir}/translations/sms*
%{_modulesdir}/default_sms.*
%{_modulesdir}/translations/default_sms*

%files devel
%defattr(-,root,root)
%{_includedir}/*
